Subject: Re: [i2rs] Yangdoctors early review of draft-ietf-i2rs-rib-data-model-09

From: Alia Atlas <[email-masked]>
Date: Fri, 9 Feb 2018 09:51:16 -0500

Hi Amit,

It has been three weeks.

Can you please get the update ASAP?  I need to get it reviewed and into
IETF Last Call.
As you know, I am closing I2RS at IETF 101 - which means this draft needs
to be on the March 8 telechat.
That means it really should be in IETF Last Call by February 16 - and I am
traveling all next week
and busy.   I REALLY need it ASAP to review.

Regards,
Alia

On Thu, Jan 18, 2018 at 4:58 AM, Amit Dass <[email-masked]> wrote:

> Hi Sue,
>
> I expect to have some free time during this week.  Should be able to send
> the update by Monday next week.
>
> Best regards,
> Amit
>
> -----Original Message-----
> From: Susan Hares [mailto:[email-masked]]
> Sent: Thursday, January 18, 2018 10:55 AM
> To: Amit Dass <[email-masked]>; 'Ebben Aries' <[email-masked]>;
> [email-masked]
> Cc: [email-masked]; [email-masked];
> [email-masked]
> Subject: RE: Yangdoctors early review of draft-ietf-i2rs-rib-data-model-09
>
> Amit:
>
> Do you think you and your co-authors can do this within a few days.   I
> would like to forward the publication request.
>
> Also, please remember to look at the latest Revised datastore draft and
> yang tree module drafts.
>
> Sue Hares
>
> -----Original Message-----
> From: Amit Dass [mailto:[email-masked]]
> Sent: Thursday, January 18, 2018 4:53 AM
> To: Ebben Aries; [email-masked]
> Cc: [email-masked]; [email-masked];
> [email-masked]
> Subject: RE: Yangdoctors early review of draft-ietf-i2rs-rib-data-model-09
>
> Thanks Ebben for reviewing the draft. I will update the same based on
> below comments and feedback.
>
>
> Best regards,
> Amit
>
> -----Original Message-----
> From: Ebben Aries [mailto:[email-masked]]
> Sent: Thursday, January 18, 2018 9:33 AM
> To: [email-masked]
> Cc: [email-masked]; [email-masked];
> [email-masked]
> Subject: Yangdoctors early review of draft-ietf-i2rs-rib-data-model-09
>
> Reviewer: Ebben Aries
> Review result: On the Right Track
>
> 1 module in this draft:
> - [email-masked]
>
> No YANG validation errors or warnings (from pyang 1.7.3 and yanglint
> 0.14.59)
>
> 0 examples are provided in this draft (section 3.12 of
> draft-ietf-netmod-rfc6087bis-15)
>
> Module [email-masked]:
> - yang-version statement missing - should be 1.1
> - prefix 'iir' is recommended for this module, would 'rib' suffice better?
> - import "ietf-inet-types" should reference RFC 6991 per (not as a comment)
>   https://tools.ietf.org/html/draft-ietf-netmod-rfc6087bis-15#section-4.7
> - import "ietf-interfaces" should reference RFC 7223 per
>   https://tools.ietf.org/html/draft-ietf-netmod-rfc6087bis-15#section-4.7
> - import "ietf-yang-types" should reference RFC 6991 per
>   https://tools.ietf.org/html/draft-ietf-netmod-rfc6087bis-15#section-4.7
> - Since this module imports "ietf-interfaces", a normative references must
> be
>   added per
>   https://tools.ietf.org/html/draft-ietf-netmod-rfc6087bis-15#section-3.9
> - prefix "if" in the import "ietf-interfaces" can remove quotes to remain
>   consistent with other imports
> - Remove WG Chairs from contact information per
>   https://tools.ietf.org/html/draft-ietf-netmod-rfc6087bis-15#appendix-C
> - Module description must contain most recent copyright notice per
>   https://tools.ietf.org/html/draft-ietf-netmod-rfc6087bis-15#appendix-C
> - Module description should contain note to RFC Ed. and placeholder
> reference
>   to RFC when assigned
>   https://tools.ietf.org/html/draft-ietf-netmod-rfc6087bis-15#appendix-C
> - Add placeholder reference and note to RFC Ed. for RFC when assigned
>   https://tools.ietf.org/html/draft-ietf-netmod-rfc6087bis-15#appendix-C
> - Security Considerations should be updated to reflect new template at
>   https://trac.ietf.org/trac/ops/wiki/yang-security-guidelines
> - Section 1.2 should be replaced with reference to
>   draft-ietf-netmod-yang-tree-diagrams-02 rather (as-is in other i2rs YANG
>   drafts in progress) per
>   https://tools.ietf.org/html/draft-ietf-netmod-rfc6087bis-
> 15#section-2.5.1
> - This module contains '12' features.  While it is understood the purpose
> of
>   these features in the module, take precaution as to complexity for
> clients
>   if they need to understand >= quantity of features per module in use on a
>   network-element.
> - A few comments exist that are either unecessary or redundant.  Encode the
>   comment intent rather in description fields if need be.
> - Per NMDA, which datastores are targeted for the module?  Will all RPC
>   operations be acting upon the dynamic/ephemeral datastore?  It is not
> clear
>   to me if the intention is to be persistent or ephemeral
>
> General comments/Nits:
> - references to 'def' could be expanded out to 'definition'
> - references to 'decap' could be expanded out to 'decapsulation' for
>   readability (across definitions and descriptions)
> - Follow consistent capitalization of 'RIB' throughout document text.
> Mixed
>   use of 'Rib' and 'rib' exists (Outside of YANG node lowercase
> definitions).
> - Is it necessary to prefix all nodes under the nexthop container with
>   "nexthop-"?
> - Section 2.5 - route-add RPC - text mentions it is required that the
> nh-add
>   RPC be called as a pre-requisite however if the nh already exists and the
>   nexthop-id is known, this should not be necessary.  In addition, the text
>   reads 'or return' which should rather be a result of querying the
>   appropriate node in the data tree.
> - In 'IANA Considerations' - s/This document requests to register/This
>   document registers/
>
>
>

---

From: Amit Dass <[email-masked]>
Date: Mon, 12 Feb 2018 13:22:58 +0000

Hi Alia,

Apologies for the delay. Needed to redo all again due to the laptop crashed. Updated the draft with the below comments. Couldn’t upload the same due to max 5 author limit kicking in.

Best regards,
Amit

From: Alia Atlas [mailto:[email-masked]]
Sent: Saturday, February 10, 2018 1:51 AM
To: Amit Dass <[email-masked]>
Cc: Susan Hares <[email-masked]>; [email-masked]; [email-masked]
Subject: Re: Yangdoctors early review of draft-ietf-i2rs-rib-data-model-09

Hi Amit,

It has been three weeks.

Can you please get the update ASAP?  I need to get it reviewed and into IETF Last Call.
As you know, I am closing I2RS at IETF 101 - which means this draft needs to be on the March 8 telechat.
That means it really should be in IETF Last Call by February 16 - and I am traveling all next week
and busy.   I REALLY need it ASAP to review.

Regards,
Alia

On Thu, Jan 18, 2018 at 4:58 AM, Amit Dass <[email-masked]<mailto:[email-masked]>> wrote:
Hi Sue,

I expect to have some free time during this week.  Should be able to send the update by Monday next week.

Best regards,
Amit

-----Original Message-----
From: Susan Hares [mailto:[email-masked]<mailto:[email-masked]>]
Sent: Thursday, January 18, 2018 10:55 AM
To: Amit Dass <[email-masked]<mailto:[email-masked]>>; 'Ebben Aries' <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: RE: Yangdoctors early review of draft-ietf-i2rs-rib-data-model-09

Amit:iir

Do you think you and your co-authors can do this within a few days.   I would like to forward the publication request.

Also, please remember to look at the latest Revised datastore draft and yang tree module drafts.

Sue Hares

-----Original Message-----
From: Amit Dass [mailto:[email-masked]<mailto:[email-masked]>]
Sent: Thursday, January 18, 2018 4:53 AM
To: Ebben Aries; [email-masked]<mailto:[email-masked]>
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: RE: Yangdoctors early review of draft-ietf-i2rs-rib-data-model-09

Thanks Ebben for reviewing the draft. I will update the same based on below comments and feedback.

Best regards,
Amit

-----Original Message-----
From: Ebben Aries [mailto:[email-masked]<mailto:[email-masked]>]
Sent: Thursday, January 18, 2018 9:33 AM
To: [email-masked]<mailto:[email-masked]>
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Yangdoctors early review of draft-ietf-i2rs-rib-data-model-09

Reviewer: Ebben Aries

1 module in this draft:
- [email-masked]<mailto:[email-masked]>

No YANG validation errors or warnings (from pyang 1.7.3 and yanglint 0.14.59)

Module [email-masked]<mailto:[email-masked]>:
- yang-version statement missing - should be 1.1
- prefix 'iir' is recommended for this module, would 'rib' suffice better?
- import "ietf-inet-types" should reference RFC 6991 per (not as a comment)
  https://tools.ietf.org/html/draft-ietf-netmod-rfc6087bis-15#section-4.7
- import "ietf-interfaces" should reference RFC 7223 per
  https://tools.ietf.org/html/draft-ietf-netmod-rfc6087bis-15#section-4.7
- import "ietf-yang-types" should reference RFC 6991 per
  https://tools.ietf.org/html/draft-ietf-netmod-rfc6087bis-15#section-4.7
- Since this module imports "ietf-interfaces", a normative references must be
  added per
  https://tools.ietf.org/html/draft-ietf-netmod-rfc6087bis-15#section-3.9
- prefix "if" in the import "ietf-interfaces" can remove quotes to remain
  consistent with other imports
- Remove WG Chairs from contact information per
  https://tools.ietf.org/html/draft-ietf-netmod-rfc6087bis-15#appendix-C
- Module description must contain most recent copyright notice per
  https://tools.ietf.org/html/draft-ietf-netmod-rfc6087bis-15#appendix-C
- Module description should contain note to RFC Ed. and placeholder reference
  to RFC when assigned
  https://tools.ietf.org/html/draft-ietf-netmod-rfc6087bis-15#appendix-C
- Add placeholder reference and note to RFC Ed. for RFC when assigned
  https://tools.ietf.org/html/draft-ietf-netmod-rfc6087bis-15#appendix-C
- Security Considerations should be updated to reflect new template at
  https://trac.ietf.org/trac/ops/wiki/yang-security-guidelines
- Section 1.2 should be replaced with reference to
  draft-ietf-netmod-yang-tree-diagrams-02 rather (as-is in other i2rs YANG
  drafts in progress) per
  https://tools.ietf.org/html/draft-ietf-netmod-rfc6087bis-15#section-2.5.1
- This module contains '12' features.  While it is understood the purpose of
  these features in the module, take precaution as to complexity for clients
  if they need to understand >= quantity of features per module in use on a
  network-element.
- A few comments exist that are either unecessary or redundant.  Encode the
  comment intent rather in description fields if need be.
- Per NMDA, which datastores are targeted for the module?  Will all RPC
  operations be acting upon the dynamic/ephemeral datastore?  It is not clear
  to me if the intention is to be persistent or ephemeral

General comments/Nits:
- references to 'def' could be expanded out to 'definition'
- references to 'decap' could be expanded out to 'decapsulation' for
  readability (across definitions and descriptions)
- Follow consistent capitalization of 'RIB' throughout document text.  Mixed
  use of 'Rib' and 'rib' exists (Outside of YANG node lowercase definitions).
- Is it necessary to prefix all nodes under the nexthop container with
  "nexthop-"?
- Section 2.5 - route-add RPC - text mentions it is required that the nh-add
  RPC be called as a pre-requisite however if the nh already exists and the
  nexthop-id is known, this should not be necessary.  In addition, the text
  reads 'or return' which should rather be a result of querying the
  appropriate node in the data tree.
- In 'IANA Considerations' - s/This document requests to register/This
  document registers/

---

From: "Susan Hares" <[email-masked]>
Date: Thu, 15 Feb 2018 11:07:24 -0500

Amit:

Remove one of the authors.   Please consider removing LIxing Wang.   I have not received an IPR statement from this person.   Please do this today.   I apologize for the delay in responding. 

Sue 

From: Amit Dass [mailto:[email-masked]] 
Sent: Monday, February 12, 2018 8:23 AM
To: Alia Atlas 
Cc: Susan Hares; [email-masked]; [email-masked]
Subject: FW: Yangdoctors early review of draft-ietf-i2rs-rib-data-model-09

Hi Alia,

Best regards,

Amit

Hi Amit,

It has been three weeks.

Regards,

Alia

Hi Sue,

Best regards,
Amit

-----Original Message-----

From: Susan Hares [mailto: <mailto:[email-masked]> [email-masked]]
Sent: Thursday, January 18, 2018 10:55 AM
To: Amit Dass < <mailto:[email-masked]> [email-masked]>; 'Ebben Aries' < <mailto:[email-masked]> [email-masked]>;  <mailto:[email-masked]> [email-masked]
Cc:  <mailto:[email-masked]> [email-masked];  <mailto:[email-masked]> [email-masked];  <mailto:[email-masked]> [email-masked]
Subject: RE: Yangdoctors early review of draft-ietf-i2rs-rib-data-model-09

Amit:iir

Sue Hares

-----Original Message-----
From: Amit Dass [mailto:[email-masked]]
Sent: Thursday, January 18, 2018 4:53 AM
To: Ebben Aries; [email-masked]
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: RE: Yangdoctors early review of draft-ietf-i2rs-rib-data-model-09

Best regards,
Amit

-----Original Message-----
From: Ebben Aries [mailto:[email-masked]]
Sent: Thursday, January 18, 2018 9:33 AM
To: [email-masked]
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: Yangdoctors early review of draft-ietf-i2rs-rib-data-model-09

Reviewer: Ebben Aries

1 module in this draft:

General comments/Nits:

---

From: Alia Atlas <[email-masked]>
Date: Thu, 15 Feb 2018 12:45:59 -0500

Lixia,

When an internet-draft is submitted, there is an irrevocable and permanent
copyright given to the IETF.
Authors also retain their own copyright, of course.

The draft has 6 authors; there is always a need to justify that.  The IETF
strongly prefers no more than
5 authors.  The fact that you have stalled the process because you did not
respond to the IPR query
does not help.

WG Chairs may appoint and replace editors and authors of WG drafts.

Regards,
Alia

On Thu, Feb 15, 2018 at 12:17 PM, [email-masked] <
[email-masked]> wrote:

> Hello Susan,
> I'm the original author of this draft.
> Even now 70% of this draf is written by me, I have 70% copyright of this
> draft.
> So you cann't remove my name.
>
> Best Regards
> Lixing Wang
>
> 发自我的华为手机
>
>
> -------- 原始邮件 --------
> 主题：RE: Yangdoctors early review of draft-ietf-i2rs-rib-data-model-09
> 发件人：Susan Hares
> 收件人：'Amit Dass' ,'Alia Atlas'
> 抄送：[email-masked],
>
>
>
> Amit:
>
>
>
> Remove one of the authors.   Please consider removing LIxing Wang.   I
> have not received an IPR statement from this person.   Please do this
> today.   I apologize for the delay in responding.
>
>
>
> Sue
>
>
>
> *From:* Amit Dass [mailto:[email-masked]]
> *Sent:* Monday, February 12, 2018 8:23 AM
> *To:* Alia Atlas
> *Cc:* Susan Hares; [email-masked]; draft-ietf-i2rs-rib-data-
> [email-masked]
> *Subject:* FW: Yangdoctors early review of draft-ietf-i2rs-rib-data-
> model-09
>
>
>
> Hi Alia,
>
>
>
> Apologies for the delay. Needed to redo all again due to the laptop
> crashed. Updated the draft with the below comments. Couldn’t upload the
> same due to max 5 author limit kicking in.
>
>
>
> Best regards,
>
> Amit
>
>
>
> *From:* Alia Atlas [mailto:[email-masked] <[email-masked]>]
> *Sent:* Saturday, February 10, 2018 1:51 AM
> *To:* Amit Dass <[email-masked]>
> *Cc:* Susan Hares <[email-masked]>; [email-masked];
> [email-masked]
> *Subject:* Re: Yangdoctors early review of draft-ietf-i2rs-rib-data-
> model-09
>
>
>
> Hi Amit,
>
>
>
> It has been three weeks.
>
>
>

---

From: Alia Atlas <[email-masked]>
Date: Thu, 15 Feb 2018 13:07:30 -0500

Lixing,

I hear that you are concerned.  I still haven't seen your IPR response to
the I2RS mailing list.
Your work is, of course, quite appreciated.

If there is clear justification - that can be sent to the I2RS Chairs and
me, then I am ok with
seeing that and making a call around the authors.

This needs to resolve ASAP.  This is the last draft of i2rs that is not in
IETF Last Call and the
WG is being shut at IETF 101 in 5 weeks.

Regards,
Alia

On Thu, Feb 15, 2018 at 1:04 PM, [email-masked] <
[email-masked]> wrote:

> Hello Alia
> I cann't agree it. I don't stall the process, I just don't give the
> comments. I contributed a lot to this draft.
>
> Best Regards
> Lixing Wang
>
>
> -------- 原始邮件 --------
> 主题：Re: Yangdoctors early review of draft-ietf-i2rs-rib-data-model-09
> 发件人：Alia Atlas
> 收件人：[email-masked]
> 抄送：Susan Hares ,Amit Dass ,[email-masked],draft-ietf-
> [email-masked]
>
>
>
> Lixia,
>
>> *Cc:* Susan Hares; [email-masked]; draft-ietf-i2rs-rib-data-model
>> [email-masked]
>> *Subject:* FW: Yangdoctors early review of draft-ietf-i2rs-rib-data-model
>> -09
>>
>>
>>
>> Hi Alia,
>>
>>
>>
>> *Subject:* Re: Yangdoctors early review of draft-ietf-i2rs-rib-data-model
>> -09
>>
>>
>>
>> Hi Amit,
>>
>>
>>
>> It has been three weeks.
>>
>>
>>

---

From: "Susan Hares" <[email-masked]>
Date: Thu, 15 Feb 2018 13:59:49 -0500

Lixing:

You stalled the process by not responding to the IPR statement.  Without it, I will not actively include you in the author list and I will nominate authors.   Why?  Because the IESG will not approve a RIB Yang model without the IPR statements. 

If you wish to be included, please send your IPR statement to the WG list.   I will do a secondary call for this in a few moments.  

Sue Hares

From: Alia Atlas [mailto:[email-masked]] 
Sent: Thursday, February 15, 2018 12:46 PM
To: [email-masked]
Cc: Susan Hares; Amit Dass; [email-masked]; [email-masked]
Subject: Re: Yangdoctors early review of draft-ietf-i2rs-rib-data-model-09

Lixia,

When an internet-draft is submitted, there is an irrevocable and permanent copyright given to the IETF.

The draft has 6 authors; there is always a need to justify that.  The IETF strongly prefers no more than

5 authors.  The fact that you have stalled the process because you did not respond to the IPR query

does not help.

Regards,

Alia

On Thu, Feb 15, 2018 at 12:17 PM, [email-masked] <[email-masked]> wrote:

Hello Susan,
I'm the original author of this draft.
Even now 70% of this draf is written by me, I have 70% copyright of this draft.
So you cann't remove my name.

Best Regards
Lixing Wang

发自我的华为手机

-------- 原始邮件 --------

Amit:

Sue 

Hi Alia,

Best regards,

Amit

Hi Amit,

It has been three weeks.

Regards,

Alia

Hi Sue,

Best regards,
Amit

-----Original Message-----

Amit:iir

Sue Hares

-----Original Message-----
From: Amit Dass [mailto:[email-masked]]
Sent: Thursday, January 18, 2018 4:53 AM
To: Ebben Aries; [email-masked]
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: RE: Yangdoctors early review of draft-ietf-i2rs-rib-data-model-09

Best regards,
Amit

-----Original Message-----
From: Ebben Aries [mailto:[email-masked]]
Sent: Thursday, January 18, 2018 9:33 AM
To: [email-masked]
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: Yangdoctors early review of draft-ietf-i2rs-rib-data-model-09

Reviewer: Ebben Aries

1 module in this draft:

General comments/Nits:

---

From: Alia Atlas <[email-masked]>
Date: Thu, 15 Feb 2018 16:02:41 -0500

Amit,

You should be able to upload the draft even with more than 5 authors.
There is just a warning that that is the case.
Please get the most recent up ASAP.

Regards,
Alia

On Mon, Feb 12, 2018 at 8:22 AM, Amit Dass <[email-masked]> wrote:

> *From:* Alia Atlas [mailto:[email-masked]]
> Do you think you and your co-authors can do this within a few days.
> I would like to forward the publication request.
>
>

---

From: Amit Dass <[email-masked]>
Date: Fri, 16 Feb 2018 01:29:34 +0000

Hi Alia &  Sue,

Apologies, i was on a long flight. I have now uploaded the latest draft and managed to surpass the 5 author warnings.

Best regards,
Amit

From: Alia Atlas [mailto:[email-masked]]
Sent: Friday, February 16, 2018 8:03 AM
To: Amit Dass <[email-masked]>
Cc: Alia Atlas; Susan Hares <[email-masked]>; [email-masked]; [email-masked]
Subject: Re: FW: Yangdoctors early review of draft-ietf-i2rs-rib-data-model-09

Amit,

You should be able to upload the draft even with more than 5 authors.  There is just a warning that that is the case.
Please get the most recent up ASAP.

Regards,
Alia

On Mon, Feb 12, 2018 at 8:22 AM, Amit Dass <[email-masked]<mailto:[email-masked]>> wrote:
Hi Alia,

Best regards,
Amit

From: Alia Atlas [mailto:[email-masked]<mailto:[email-masked]>]
Sent: Saturday, February 10, 2018 1:51 AM
To: Amit Dass <[email-masked]<mailto:[email-masked]>>
Cc: Susan Hares <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Re: Yangdoctors early review of draft-ietf-i2rs-rib-data-model-09

Hi Amit,

It has been three weeks.

Regards,
Alia

Best regards,
Amit

-----Original Message-----
From: Susan Hares [mailto:[email-masked]<mailto:[email-masked]>]
Sent: Thursday, January 18, 2018 10:55 AM
To: Amit Dass <[email-masked]<mailto:[email-masked]>>; 'Ebben Aries' <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: RE: Yangdoctors early review of draft-ietf-i2rs-rib-data-model-09

Amit:iir

Sue Hares

-----Original Message-----
From: Amit Dass [mailto:[email-masked]<mailto:[email-masked]>]
Sent: Thursday, January 18, 2018 4:53 AM
To: Ebben Aries; [email-masked]<mailto:[email-masked]>
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: RE: Yangdoctors early review of draft-ietf-i2rs-rib-data-model-09

Best regards,
Amit

-----Original Message-----
From: Ebben Aries [mailto:[email-masked]<mailto:[email-masked]>]
Sent: Thursday, January 18, 2018 9:33 AM
To: [email-masked]<mailto:[email-masked]>
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Yangdoctors early review of draft-ietf-i2rs-rib-data-model-09

Reviewer: Ebben Aries

1 module in this draft:

General comments/Nits:

---

From: "t.petch" <[email-masked]>
Date: Fri, 16 Feb 2018 18:00:51 -0000

Looking at -10, from the standpoint of one who is not a YANG doctor, I
see some issues outstanding.

"   This document defines a YANG [RFC6020][RFC6991] data model"
- RFC6020 is YANG 1.0 not 1.1 - I think there needs to be a reason not
to use 1.1

- And what is the status of this vis-a-vis NMDA?  Needs stating

- And RFC6991 is an odd reference for YANG. since it is data types; not
off the wall, but seems oddto me

1.2 Guidelines on tree diagrams can be found in Section 3 of
   [I-D.ietf-netmod-yang-tree-diagrams].
-This should be a Informative Reference, not a Normative one

2.2.  Routing Instance and Rib
- RIB?

3.  YANG Modules

 <CODE BEGINS> file "[email-masked]"
- The date will need updating and this calls for  a Note to the RFC
Editor

 "  namespace "urn:ietf:params:xml:ns:yang:ietf-i2rs-rib";
   // replace with iana namespace when assigned  "
I do not understand this

import ietf-interfaces {
     prefix if;
         reference "RFC 7223";
   }
- RFC7223 has been superseded unless you require the old version in
which case you should date the import.
Either way, the referenced I-D/RFC needs to appear in the Reference
section of this I-D

"    Copyright (c) <2018> IETF Trust and the persons
      identified as authors of the code.  All rights reserved.";  "
- This looks inadequate to me; see for example
draft-ietf-netmod-syslog-model
for a more comprehensive one

   revision "2018-02-12" {
- as before, a note to the RFC Editor is needed

         // RFC Ed.: replace XXXX with actual RFC number and remove
         // this note
- I see no XXXX to be replaced here

"leaf hop-limit {
       type uint8;
       description
         "The hop limit the header.";
"
Is something missing from the description?

description   "NvGRE can use eigher IPv4    or IPv6 header for
encapsulation.";
- gher?

- The  module has very few reference clauses and when I see something
capitalised, e.g.

leaf ip-rpf-check {
               "Each RIB can be optionally associated with a
            ENABLE_IP_RPF_CHECK
I suspect that a reference is required

leaf route-change-reason

- The values that this can take seem rather few

Finally, I like the Security Considerations

Tom Petch

----- Original Message -----
From: "Ebben Aries" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>; <[email-masked]>;
<[email-masked]>
Sent: Thursday, January 18, 2018 8:33 AM
Subject: [i2rs] Yangdoctors early review of
draft-ietf-i2rs-rib-data-model-09

0.14.59)
reference
>   draft-ietf-netmod-yang-tree-diagrams-02 rather (as-is in other i2rs
YANG
https://tools.ietf.org/html/draft-ietf-netmod-rfc6087bis-15#section-2.5.
1
clients
Mixed
definitions).
nh-add
> _______________________________________________
> i2rs mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i2rs

---

From: Amit Dass <[email-masked]>
Date: Tue, 20 Feb 2018 15:24:44 +0000

Hi Ebben,

I have updated the draft based on your comments. Could you please have a look at the same and provide your feedback?

https://datatracker.ietf.org/doc/draft-ietf-i2rs-rib-data-model/

Best regards,
Amit

-----Original Message-----
From: Ebben Aries [mailto:[email-masked]] 
Sent: Thursday, January 18, 2018 9:33 AM
To: [email-masked]
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: Yangdoctors early review of draft-ietf-i2rs-rib-data-model-09

Reviewer: Ebben Aries

1 module in this draft:

General comments/Nits:

---

From: Amit Dass <[email-masked]>
Date: Wed, 21 Feb 2018 00:17:19 +0000

Hi Tom,

Thanks for the good feedback. Please see my response inline below along with the updated draft version 11.

Best regards,
Amit

-----Original Message-----
From: t.petch [mailto:[email-masked]] 
Sent: Friday, February 16, 2018 7:01 PM
To: Ebben Aries <[email-masked]>
Cc: [email-masked]; [email-masked]
Subject: Re: [i2rs] Yangdoctors early review of draft-ietf-i2rs-rib-data-model-09

Looking at -10, from the standpoint of one who is not a YANG doctor, I see some issues outstanding.

"   This document defines a YANG [RFC6020][RFC6991] data model"
- RFC6020 is YANG 1.0 not 1.1 - I think there needs to be a reason not to use 1.1
AD: Updated with RFC 7950 reference,
- And what is the status of this vis-a-vis NMDA?  Needs stating

- And RFC6991 is an odd reference for YANG. since it is data types; not off the wall, but seems oddto me

AD: Moved to informative ref.

Correction done
3.  YANG Modules

 <CODE BEGINS> file "[email-masked]"
- The date will need updating and this calls for  a Note to the RFC Editor
AD: Will follow up to remind the RPC

 "  namespace "urn:ietf:params:xml:ns:yang:ietf-i2rs-rib";
   // replace with iana namespace when assigned  "
I do not understand this
AD: not relevant, removed it.

import ietf-interfaces {
     prefix if;
         reference "RFC 7223";
   }
- RFC7223 has been superseded unless you require the old version in which case you should date the import.
Either way, the referenced I-D/RFC needs to appear in the Reference section of this I-D

AD: Updated with RFC 7277 reference.

"    Copyright (c) <2018> IETF Trust and the persons
      identified as authors of the code.  All rights reserved.";  "
- This looks inadequate to me; see for example draft-ietf-netmod-syslog-model for a more comprehensive one
AD: The copyright statement was updated in version 10. Please check the latest draft.
   revision "2018-02-12" {
- as before, a note to the RFC Editor is needed

AD: Added XXXX 😊

"leaf hop-limit {
       type uint8;
       description

AD: Modified the section as below:

leaf hop-limit {
      type uint8;
	    range "1..255";
      description
        "The path hop limit header.";

description   "NvGRE can use eigher IPv4    or IPv6 header for
encapsulation.";
- gher?
AD: Corrected the typo.
- The  module has very few reference clauses and when I see something capitalised, e.g.

leaf ip-rpf-check {
               "Each RIB can be optionally associated with a
            ENABLE_IP_RPF_CHECK
I suspect that a reference is required
AD: I couldn't find it in the latest draft. Could you please recheck the latest draft and confirm?

leaf route-change-reason

- The values that this can take seem rather few
AD: This has been reference in the info model, so although limited this is expected to be quite important. Do you have any suggestions that we can add here on top?

Tom Petch

----- Original Message -----
From: "Ebben Aries" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>; <[email-masked]>;
<[email-masked]>

0.14.59)
reference
clients
Mixed
definitions).
nh-add

---

From: Mahesh Jethanandani <[email-masked]>
Date: Wed, 21 Feb 2018 16:43:28 -0800

> On Feb 20, 2018, at 7:24 AM, Amit Dass <[email-masked]> wrote:
> 
> Hi Ebben,
> 

The indentations are all over the place for the new references that have been added. 

More importantly, and this discussion is still open in front of YANG doctors, adding a reference statement to an import statement, seems to imply a import by revision. As an example, the import of ietf-interfaces has a reference to RFC 7223. But we know that ietf-interfaces is going to updated soon by whatever RFC number gets assigned to rfc7223bis. Expect further guidance on this.

Also, I do not see normative references to RFC 6991, and RFC 7223 in the text of the document. If this is not clear, see rfc7223bis, where in Section 3.1, there is normative reference to RFC7224 for the iana-if-types module that is imported by the ietf-interfaces module.

Cheers.

>  https://tools.ietf.org/html/draft-ietf-netmod-rfc6087bis-15#section-4.7

This should reference rfc7223bis.

> yang-doctors mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/yang-doctors

Mahesh Jethanandani
[email-masked]

---

From: "t.petch" <[email-masked]>
Date: Thu, 22 Feb 2018 15:31:06 -0000

---- Original Message -----
From: "Mahesh Jethanandani" <[email-masked]>
Sent: Thursday, February 22, 2018 12:43 AM
> > I have updated the draft based on your comments. Could you please
have a look at the same and provide your feedback?
> More importantly, and this discussion is still open in front of YANG
doctors, adding a reference statement to an import statement, seems to
imply a import by revision. As an example, the import of ietf-interfaces
has a reference to RFC 7223. But we know that ietf-interfaces is going
to updated soon by whatever RFC number gets assigned to rfc7223bis.
Expect further guidance on this.

Mahesh

As you doubtless know, this I-D is expected to be approved on March 8th,
so there is a certain urgency about this.

The latest guidelines, draft-ietf-netmod-rfc6087bis-18, include

   For every import or include statement that appears in a module
   contained in the specification, which identifies a module in a
   separate document, a corresponding normative reference to that
   document MUST appear in the Normative References section.

which seems clear and right to me.  This also says to me that a specific
version of the module is referenced via the Normative References
whether or not the import has a revision clause.

and it also says

 If an import statement is for a module from a stable source (e.g., an
   RFC for an IETF module), then a reference-stmt SHOULD be present
   within an import statement.

So for me there is (almost) always a reference statement to an RFC (or
I-D) even, or especially when, no particular revision is wanted.

This is what has coloured my comments on YANG modules.

Tom Petch

> Also, I do not see normative references to RFC 6991, and RFC 7223 in
the text of the document. If this is not clear, see rfc7223bis, where in
Section 3.1, there is normative reference to RFC7224 for the
iana-if-types module that is imported by the ietf-interfaces module.
[email-masked]
0.14.59)
reference
clients
definitions).

---

From: Ebben Aries <[email-masked]>
Date: Fri, 23 Feb 2018 19:31:14 -0700

Amit,

I took your latest pre -11 .xml revision that you attached so below is a
re-review against -10 and pre (-11).  Comments below

Compilation error that was introduced between -10 and -11
- [email-masked]:1224: error: unexpected keyword "range"

    leaf hop-limit {
      type uint8;
            range "1..255";
      description
        "The path hop limit header.";
    }
- Also, by introducing a range on a uint8, are you saying that a hop-limit=0
  would never be in use for any use-case here?

There are formatting and alignment issues all throughout the document that
need fixing (Mahesh pointed this out as well)

'ietf-interfaces' import carries the wrong RFC reference (RFC 7227)
- This should rather be RFC 7277

There are still ongoing discussions among yang-doctors on how references in
imports should be treated.  At a minimum for now, lets carry the expanded
syntax w/ the title of the RFC as such: (As Mahesh previous mentioned, this is
subject to change pending further discussion)
- reference "RFC 6991: Common YANG Data Types";
- reference "RFC 7277: A YANG Data Model for IP Management";
- reference "RFC 6991: Common YANG Data Types";

Module description still does not carry full copyright/distribution section as
specified in: https://tools.ietf.org/html/draft-ietf-netmod-rfc6087bis-15#appendix-C

There still appears to be one remaining 'Rib' reference
- s/Routing Instance and Rib/Routing Instance and RIB/

Section 1.2 - Tree Diagrams
- The text here is an instruction template rather than what the actual text
  should be.  It should rather read:

   A simplified graphical representation of the data model is used in
   this document.  The meaning of the symbols in these diagrams is
   defined in [I-D.ietf-netmod-yang-tree-diagrams].

You did not address my previous comment/question re: NMDA (Tom mentioned this
as well)

You did not address my previous comment/question re: Section 2.5 (route-add
RPC)

I still have concern to modules introducing large amounts of
features/if-features as previously noted but will defer to other's comments on
this as well

Formatting nits:
- L3605: s/route:A/route: A/
- L3610: s/from\/to RIB/from\/to a RIB/
- L3610: s/lead to suboptimal/lead to a suboptimal/
- L3611: s/possibly/possible/
- L3626: s/his/their/

Tom's previous comment re: ENABLE_IP_RPF_CHECK has not been addressed and
exists in both -10 and (pre) -11 versions

Thx

/ebben

On Feb 20 15:24 PM, Amit Dass wrote:
> https://urldefense.proofpoint.com/v2/url?u=https-3A__datatracker.ietf.org_doc_draft-2Dietf-2Di2rs-2Drib-2Ddata-2Dmodel_&d=DwIGaQ&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=GIehbDpQlo31lSi6WbnEkA&m=Bd9RZ2mCWMYNPyhFBtSbqwApeVo8_SOmuA3FNG3trxA&s=h0scwYvh7UsfradRz7u1meraj47zZhr6vH3qiHJXiZ4&e=
> 
> Best regards,
> Amit
> 
>   https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_draft-2Dietf-2Dnetmod-2Drfc6087bis-2D15-23section-2D4.7&d=DwIGaQ&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=GIehbDpQlo31lSi6WbnEkA&m=Bd9RZ2mCWMYNPyhFBtSbqwApeVo8_SOmuA3FNG3trxA&s=dYhxw9bO0Uk78WJ5uTBmc5ZcElOT446ETFp7DXU546s&e=
>   https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_draft-2Dietf-2Dnetmod-2Drfc6087bis-2D15-23section-2D4.7&d=DwIGaQ&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=GIehbDpQlo31lSi6WbnEkA&m=Bd9RZ2mCWMYNPyhFBtSbqwApeVo8_SOmuA3FNG3trxA&s=dYhxw9bO0Uk78WJ5uTBmc5ZcElOT446ETFp7DXU546s&e=
>   https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_draft-2Dietf-2Dnetmod-2Drfc6087bis-2D15-23section-2D4.7&d=DwIGaQ&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=GIehbDpQlo31lSi6WbnEkA&m=Bd9RZ2mCWMYNPyhFBtSbqwApeVo8_SOmuA3FNG3trxA&s=dYhxw9bO0Uk78WJ5uTBmc5ZcElOT446ETFp7DXU546s&e=
>   https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_draft-2Dietf-2Dnetmod-2Drfc6087bis-2D15-23section-2D3.9&d=DwIGaQ&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=GIehbDpQlo31lSi6WbnEkA&m=Bd9RZ2mCWMYNPyhFBtSbqwApeVo8_SOmuA3FNG3trxA&s=IaSTmgPV-jaH8vLp0nasBDWLSQ9-dDRqYwAkIvsNfkY&e=
>   https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_draft-2Dietf-2Dnetmod-2Drfc6087bis-2D15-23appendix-2DC&d=DwIGaQ&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=GIehbDpQlo31lSi6WbnEkA&m=Bd9RZ2mCWMYNPyhFBtSbqwApeVo8_SOmuA3FNG3trxA&s=1U0JCnUyX_pqexjCB9KgzvhWsdLDQMN_iOgkNv29dEs&e=
>   https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_draft-2Dietf-2Dnetmod-2Drfc6087bis-2D15-23appendix-2DC&d=DwIGaQ&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=GIehbDpQlo31lSi6WbnEkA&m=Bd9RZ2mCWMYNPyhFBtSbqwApeVo8_SOmuA3FNG3trxA&s=1U0JCnUyX_pqexjCB9KgzvhWsdLDQMN_iOgkNv29dEs&e=
>   https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_draft-2Dietf-2Dnetmod-2Drfc6087bis-2D15-23appendix-2DC&d=DwIGaQ&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=GIehbDpQlo31lSi6WbnEkA&m=Bd9RZ2mCWMYNPyhFBtSbqwApeVo8_SOmuA3FNG3trxA&s=1U0JCnUyX_pqexjCB9KgzvhWsdLDQMN_iOgkNv29dEs&e=
>   https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_draft-2Dietf-2Dnetmod-2Drfc6087bis-2D15-23appendix-2DC&d=DwIGaQ&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=GIehbDpQlo31lSi6WbnEkA&m=Bd9RZ2mCWMYNPyhFBtSbqwApeVo8_SOmuA3FNG3trxA&s=1U0JCnUyX_pqexjCB9KgzvhWsdLDQMN_iOgkNv29dEs&e=
>   https://urldefense.proofpoint.com/v2/url?u=https-3A__trac.ietf.org_trac_ops_wiki_yang-2Dsecurity-2Dguidelines&d=DwIGaQ&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=GIehbDpQlo31lSi6WbnEkA&m=Bd9RZ2mCWMYNPyhFBtSbqwApeVo8_SOmuA3FNG3trxA&s=tfCcnSFoI3jjNNzCj6pgkp94JZ-quOQEqMlv9hITBog&e=
>   https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_draft-2Dietf-2Dnetmod-2Drfc6087bis-2D15-23section-2D2.5.1&d=DwIGaQ&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=GIehbDpQlo31lSi6WbnEkA&m=Bd9RZ2mCWMYNPyhFBtSbqwApeVo8_SOmuA3FNG3trxA&s=DjKFw7t6_CU_2_03rwIHxgvz5_oC5mjX_rMUC5UuV6M&e=

---

From: Ebben Aries <[email-masked]>
Date: Sat, 24 Feb 2018 09:41:13 -0700

> - This should rather be RFC 7277

I meant RFC 7223 rather

  import ietf-interfaces {
      prefix if;
      reference "RFC 7223: A YANG Data Model for Interface Management";
  }

> specified in: https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_draft-2Dietf-2Dnetmod-2Drfc6087bis-2D15-23appendix-2DC&d=DwICAg&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=GIehbDpQlo31lSi6WbnEkA&m=oqu2ooyPcpQ1BsLe7O0eVojE-sP-YgMoHTpQoRTH954&s=nZJnXRNh9vlo9VZexb3zXgyY6mCzlN1ztsrmPjezh50&e=
> 
> https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mailman_listinfo_yang-2Ddoctors&d=DwICAg&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=GIehbDpQlo31lSi6WbnEkA&m=oqu2ooyPcpQ1BsLe7O0eVojE-sP-YgMoHTpQoRTH954&s=GTV9rhtmIT5nIY6w8DKgR9QiRak314uAIzfjhtj_z-k&e=

---

From: "Reshad Rahman (rrahman)" <[email-masked]>
Date: Sat, 24 Feb 2018 18:45:32 +0000

Regarding reference to 7223, should this be replaced by 7223bis (I got that comment for another draft)?

On 2018-02-24, 11:41 AM, "yang-doctors on behalf of Ebben Aries" <[email-masked] on behalf of [email-masked]> wrote:

    I meant RFC 7223 rather
    
      import ietf-interfaces {
          prefix if;